==================================
pyplusplus.code_repository package
==================================

--------
Overview
--------

.. automodule:: pyplusplus.code_repository
    :members:
    :undoc-members:
    :show-inheritance:

------------
sub-packages
------------

.. toctree::

    code_repository/indexing_suite.rest

--------
Modules
--------

ctypes_integration
------------------

.. automodule:: pyplusplus.code_repository.ctypes_integration
    :members:
    :undoc-members:
    :show-inheritance:

ctypes_utils
------------

.. automodule:: pyplusplus.code_repository.ctypes_utils
    :members:
    :undoc-members:
    :show-inheritance:

gil_guard
---------

.. automodule:: pyplusplus.code_repository.gil_guard
    :members:
    :undoc-members:
    :show-inheritance:

named_tuple
-----------

.. automodule:: pyplusplus.code_repository.named_tuple
    :members:
    :undoc-members:
    :show-inheritance:

